// QWIN2.CPP öffnet mehrere Grafik-Fenster

#include <iostream.h>
#include <graph.h>

void main()
{

    int    handle;
      
//  Nachricht an ein Textfenster (stdin/stderr/stdout)
    cout <<  "QuickWin Grafik-DEMO\n" ;

//  Warten 
    cout << "\nDas ist ein Textfenster, Taste\n" ;
    cin.get();               
      
//  mit _setvideomode() wird ein Grafikfenster eröffnet
//  es hat den Anfangsnamen GRAFIC1.
    _setvideomode( _MAXRESMODE ); 
    handle = _wggetactive( ); // jedes Fenster hat ein handle         
    _wgclose( handle );       // welches die Bearbeitung eben
                              // dieses Fensters ermöglicht
                              // in diesem Fall wird das Fenster
                              // geschlossen, damit ein neues
                              // mit einem eigenen Namen vergeben
                              // werden kann

//  Ein neues Fenster erstellen
    handle = _wgopen( "SMILEY" );              
    _wgsetactive( handle );       
    _setvideomode( _MAXRESMODE ); 

//  Kopf zeichnen
    _setcolor( 13 );
    _ellipse( _GFILLINTERIOR, 40, 20, 240, 140 );

//  Augen, Nase und Mund
    _setcolor( 14 );
    _ellipse( _GFILLINTERIOR, 80, 40, 100, 60 );
    _ellipse( _GFILLINTERIOR, 180, 40, 200, 60 );
    _ellipse( _GBORDER, 130, 70, 150, 90 );
    _arc( 90, 80, 190, 120, 115, 100, 165, 100 );


//  Warten auf Taste
    _settextposition( 1, 6 );
    _outtext("Drücken Sie eine Taste um fortzusetzen.");
    _inchar( );

//  Eröffnen eines Fensters im Textmodus
    handle = _wgopen( "HALLO" );
    _wgsetactive( handle );
    _setvideomode( _TEXTC80 );

//  Hintergrundfarbe und Textfarbe setzen
    _setbkcolor( 1 );
    _settextcolor( 2 );

//  Textausgeben
    _settextposition( 6, 25 );
    _outtext( "HELLO, WORLD!" );

//  Farben einstellen
    _setbkcolor( 1 );
    _settextcolor( 15 );

//  Warten auf Taste
    _settextposition( 1, 6 );
    _outtext("Drücken Sie eine Taste um fortzusetzen.");
    _inchar( );

//  Kursor ist auf der Zeile unterhalb der Nachricht
    _settextposition( 7, 1 );
}
